System.Core 3.5.0.0 System.Exception

This exception is thrown when a object contains invalid, incomplete, or missing data. It is thrown by the method when a time zone is found in the registry but contains corrupted data. It can also be thrown by the method under any of the following conditions:

The adjustment rules overlap.

The adjustment rules contain one or more null elements.

The sum of the Coordinated Universal Time (UTC) offset and daylight delta is out of range. (It is either greater than 14 hours or less than -14 hours.)

A single date has multiple adjustment rules applied to it.

This exception is not thrown to indicate that the time zone is not defined on a particular system; the is used for this purpose.

The exception that is thrown when time zone information is invalid.

- Constructor
  3.5.0.0

  This is the default constructor of the class. It initializes the property of the new instance to a system-supplied message that describes the error, such as "Exception of type 'System.InvalidTimeZoneException' was thrown." This message is localized for the current system culture.

  Initializes a new instance of the class with a system-supplied message.

- Constructor
  3.5.0.0

  The string supplied as the parameter is assigned to the property. It should be localized for the current culture.

  Initializes a new instance of the class with the specified message string.

  A string that describes the exception.
- Constructor
  3.5.0.0
  To be added.

  This constructor is not called directly by your code to instantiate the object. Instead, it is called by the object's method when deserializing the object from a stream.

  Initializes a new instance of the class from serialized data.

  The object that contains the serialized data.
- Constructor
  3.5.0.0
  To be added.

  Typically, you use this overload of the class to handle an exception in a try…catch block. The parameter should be a reference to the exception object handled in the catch block, or it can be null. This value is then assigned to the object's property.

  The string is assigned to the property. The string should be localized for the current culture.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  A string that describes the exception.